Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mediprimauma.exception
Class MediprimaUmaSearchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.business.common.exception.EhealthServiceV2Exception
                  be.ehealth.businessconnector.mediprimauma.exception.MediprimaUmaException
                      be.ehealth.businessconnector.mediprimauma.exception.MediprimaUmaSearchException

All Implemented Interfaces:
  Serializable

    public class MediprimaUmaSearchException

extends MediprimaUmaException

Connector Exception thrown when the MediPrima UMA webservice response indicates an error status code with a SEARCH request.

See Also:
  Serialized Form

Constructor Summary
`MediprimaUmaSearchException(SearchUrgentMedicalAidAttestationResponse response)`

Method Summary
`SearchUrgentMedicalAidAttestationResponse` | `getResponse()`

Methods inherited from class be.ehealth.businessconnector.mediprimauma.exception.MediprimaUmaException
`getRegistryStatus`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MediprimaUmaSearchException

    public MediprimaUmaSearchException(SearchUrgentMedicalAidAttestationResponse response)

Method Detail

### getResponse

    public SearchUrgentMedicalAidAttestationResponse getResponse()

  Overrides:
    `getResponse` in class `EhealthServiceV2Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.